@charset "utf-8";

/* page_content */
.page_content + .page_content {
    margin-top: 0;
}
.page_content_ttl {
    color: var(--color-black);
}
.page_content_area_img > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
@media (min-width: 1024.01px) {
    .page_content_area {
        margin-inline: -16rem;
        padding: 16rem;
    }
}
@media (max-width: 1024px) {
    .store,
    .office {
        background-position: 100% 0;
    }
    .page_content {
        margin-top: 40rem;
    }
    .page_content + .page_content {
        margin-top: 0;
    }
    .page_content_ttl_wrap {
        height: auto;
    }
    .page_content_ttl {
        text-align: left;
        padding-block: 200rem 80rem;
    }
    .page_content_ttl_inner {
        padding-inline: 16rem;
        align-items: flex-start;
    }
    .page_content_area {
        margin-top: 0;
        margin-inline: -8rem;
        padding: 16rem;
    }
    .page_content_area_img {
        height: 640rem;
    }
    .store_1 {
        object-position: 21% 50%;
    }
    .store_2 {
        object-position: 30% 50%;
    }
    .store_3 {
        object-position: 48% 50%;
    }
    .office_1 {
        object-position: 57% 50%;
    }
    .office_2 {
        object-position: 44% 50%;
    }
    .office_3 {
        object-position: 52% 50%;
    }
    .home_1 {
        object-position: 80% 50%;
    }
    .home_2 {
        object-position: 50% 50%;
    }
    .home_3 {
        object-position: 45% 50%;
    }
}

/* movie */
.movie_ttl {
    display: flex;
    flex-direction: column;
    gap: 24rem;
}
.movie_ttl_en {
    font-size: 48px;
    line-height: 1.25;
    letter-spacing: 0.04em;
}
.movie_ttl_jp {
    line-height: 2;
    letter-spacing: 0.24em;
}
.movie_video {
    width: 100%;
    aspect-ratio: 16 / 9;
    border: none;
    display: block;
}
.movie_thumb {
    border: none;
    position: relative;
    cursor: pointer;
}
.movie_thumb::before {
    content: '';
    margin: auto;
    background: url(../img/default/icon_movie.svg) no-repeat 50% / contain;
    display: block;
    position: absolute;
    inset: 0;
}
@media (min-width: 1024.01px) {
    .movie {
        width: 1200rem;
        margin-inline: auto;
        padding-top: 320rem;
        display: flex;
        justify-content: space-between;
    }
    .movie_ttl {
        justify-content: center;
    }
    .movie_ttl_jp {
        font-size: 18px;
    }
    .movie_thumb {
        max-width: 640rem;
    }
    .movie_thumb::before {
        width: 64rem;
        height: 64rem;
    }
}
@media (max-width: 1024px) {
    .movie {
        padding-top: 160rem;
    }
    .movie_ttl {
        align-items: center;
    }
    .movie_ttl_jp {
        font-size: 16px;
    }
    .movie_thumb {
        margin: 48rem auto 0;
        padding-inline: 16rem;
    }
    .movie_thumb::before {
        width: 48rem;
        height: 48rem;
    }
}

/* features */
.features {
    margin-inline: auto;
    position: relative;
}
.features_ttl_inner {
    display: flex;
    flex-direction: column;
    gap: 24rem;
}
.features_ttl_en {
    font-size: 48px;
    line-height: 1;
    letter-spacing: 0.04em;
}
.features_ttl_jp {
    font-size: 18px;
    line-height: 2;
    letter-spacing: 0.24em;
}
.features_list {
    display: flex;
    flex-direction: column;
}
.features_list_inner {
    display: flex;
    align-items: center;
}
.features_list_icon {
    width: 160rem;
}
.features_list_ttl {
    font-weight: 700;
    font-size: 24px;
    line-height: 1.75;
    letter-spacing: 0.04em;
}
.features_list_txt {
    font-size: 18px;
    line-height: 2;
    letter-spacing: 0.24em;
}
[lang="en"] .features_list_txt {
    line-height: 1.66;
    letter-spacing: 0.1em;
}
@media (min-width: 1024.01px) {
    .features {
        width: 1200rem;
        padding-block: 320rem;
        display: flex;
        justify-content: space-between;
    }
    .features_ttl_inner {
        padding-block: 160rem;
        position: sticky;
        top: 0;
        left: 0;
    }
    .features_content {
        width: 640rem;
    }
    .features_list {
        gap: 80rem;
    }
    .features_list_inner {
        gap: 40rem;
    }
    .features_list_txt {
        margin-top: 24rem;
    }
}
@media (max-width: 1024px) {
    .features {
        padding-block: 160rem;
    }
    .features_ttl {
        text-align: center;
    }
    .features_list {
        margin-top: 48rem;
        padding-inline: 16rem;
        gap: 48rem;
    }
    .features_list_inner {
        gap: 24rem;
    }
    .features_list_txt {
        margin-top: 16rem;
    }
}


/* ------------
     modal
------------ */
body.is_modal_show {
    overflow: hidden;
}
.modal_content {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1000;
    opacity: 0;
    transform: translateY(100%);
    background: rgba(0, 0, 0, 0.75);
    transition: opacity 0.3s 0s, transform 0s 0.3s;
}
.modal_content.is_modal_show {
    opacity: 1;
    transform: translateY(0%);
    transition: opacity 0.3s 0s, transform 0s 0s;
}
.modal_scroll {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
    text-align: center;
    letter-spacing: -0.5em; /*inline-blockの隙間をなくす*/
}
.modal_scroll_inner {
    text-align: center;
    margin: auto;
    max-width: 1200px;
    width: 100%;
    letter-spacing: normal; /* letter-spacing 戻す*/
    line-height: 1.5;
}
.modal_inner {
    background-color: #fff;
    position: relative;
    opacity: 0;
    transition: opacity 0.3s, transform 0.3s;
}
.is_modal_show .modal_inner {
    opacity: 1;
}

/* centering */
.modal_scroll_inner,
.modal_scroll:after {
    display: inline-block;
    vertical-align: middle;
}
.modal_scroll:after {
    content: '';
    height: 100%;
}
/* close */
.modal_close {
    border: none;
    position: absolute;
    top: -50rem;
    right: 0;
    cursor: pointer;
}
.modal_movie_iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
    border: none;
    display: block;
}
@media (min-width: 1024.01px) {
    .modal_scroll_inner {
        padding: 50rem; /* 外側の余白*/
    }
    .modal_close {
        width: 40rem;
        height: 40rem;
    }
    .modal_close::before,
    .modal_close::after {
        content: '';
        width: 100%;
        height: 2px;
        margin: auto;
        background-color: var(--color-white);
        display: block;
        position: absolute;
        inset: 0;
    }
    .modal_close::before {
        rotate: 45deg;
    }
    .modal_close::after {
        rotate: -45deg;
    }
}
@media (max-width: 1024px) {
    .modal_scroll_inner {
        padding: 16rem; /* 外側の余白*/
    }
}